Bug 808199 (CVE-2012-1601) - CVE-2012-1601 kernel: kvm: irqchip_in_kernel() and vcpu->arch.apic inconsistency
Summary: CVE-2012-1601 kernel: kvm: irqchip_in_kernel() and vcpu->arch.apic inconsistency
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-1601
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20120207,repor...
Depends On: 807507 807854 808205 808206 808207
Blocks: 800835
TreeView+ depends on / blocked
 
Reported: 2012-03-29 19:31 UTC by Petr Matousek
Modified: 2019-06-08 19:05 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-24 13:55:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0571 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2012-05-16 01:05:06 UTC
Red Hat Product Errata RHSA-2012:0676 normal SHIPPED_LIVE Moderate: kvm security and bug fix update 2012-05-21 17:49:59 UTC

Description Petr Matousek 2012-03-29 19:31:49 UTC
If some vcpus are created before KVM_CREATE_IRQCHIP, then irqchip_in_kernel() and vcpu->arch.apic will be inconsistent, leading to potential NULL pointer dereferences.

A unprivileged local user could use this flaw to crash the system.

References:
http://comments.gmane.org/gmane.comp.emulators.kvm.devel/86217
http://git.kernel.org/?p=virt/kvm/kvm.git;a=commit;h=5b40572ed5f0344b9dbee486a17c589ce1abe1a3

Comment 5 Petr Matousek 2012-03-29 19:48:47 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 808207]

Comment 6 Petr Matousek 2012-03-29 19:51:41 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise MRG as they did not provide support for the KVM subsystem. This has been addressed in Red Hat Enterprise Linux 6 via https://rhn.redhat.com/errata/RHSA-2012-0571.html. This has been addressed in Red Hat Enterprise Linux 5 via RHSA-2012:0676 https://rhn.redhat.com/errata/RHSA-2012-0676.html.

Comment 7 Kurt Seifried 2012-03-30 01:07:02 UTC
Added CVE as per http://www.openwall.com/lists/oss-security/2012/03/30/1

Comment 8 errata-xmlrpc 2012-05-15 23:10:53 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0571 https://rhn.redhat.com/errata/RHSA-2012-0571.html

Comment 9 errata-xmlrpc 2012-05-21 14:26:42 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0676 https://rhn.redhat.com/errata/RHSA-2012-0676.html


Note You need to log in before you can comment on or make changes to this bug.